import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import javax.swing.*;

class fa extends f_xj
{
//çözümü istenen fonksiyon	
 double func(double x[])
 {
    double ff= 1.0+Math.cos(Math.PI*(x[0]-3.0))*Math.cos(2.0*Math.PI*(x[1]-2.0))/
    (1+(x[0]-3.0)*(x[0]-3.0)+(x[1]-2.0)*(x[1]-2.0));
    return -ff; //maksimum test;
  }
}


public class battest
{
public static void main(String arg[])
{
fa ff=new fa();
double xmin[]={0,0};
double xmax[]={4,4};
bat  b=new bat(ff,40,xmin,xmax,1000);
double x0[]=b.xmin();
String s="bat search : \n"+b.toString()  ;  
     String s2="Bat search optimization method ";
     JOptionPane.showMessageDialog(null,s,s2,JOptionPane.PLAIN_MESSAGE);
b.plot();
     }

}